summaryrefslogtreecommitdiffstats
path: root/source/a/cups/cups.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/cups/cups.SlackBuild')
-rwxr-xr-xsource/a/cups/cups.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/source/a/cups/cups.SlackBuild b/source/a/cups/cups.SlackBuild
index 1c285c63a..7af4bd818 100755
--- a/source/a/cups/cups.SlackBuild
+++ b/source/a/cups/cups.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,8 +22,8 @@
# CUPS build script by volkerdi@slackware.com.
-VERSION=1.4.3
-BUILD=${BUILD:-3}
+VERSION=1.4.6
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,6 +58,9 @@ cd cups-$VERSION
# Fix the USB backend to use either usblp or libusb:
zcat $CWD/usb-backend-both-usblp-and-libusb.dpatch.gz | patch -p1 --verbose || exit 1
+# Fix locking to avoid crashes with OpenSSL:
+zcat $CWD/cups.fix_broken_locking.diff.gz | patch -p1 --verbose || exit 1
+
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure
./configure \
--libdir=/usr/lib${LIBDIRSUFFIX} \